Bug 1316169 - openstack-barbican-api missing pid dir or wrong pid file specified
openstack-barbican-api missing pid dir or wrong pid file specified
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: distribution (Show other bugs)
trunk
All Linux
unspecified Severity unspecified
: ---
: trunk
Assigned To: Alfredo Moralejo
Shai Revivo
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 09:58 EST by Attila Fazekas
Modified: 2016-09-27 06:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-27 06:41:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Fazekas 2016-03-09 09:58:30 EST
gunicorn[28950]: Error: /run/barbican doesn't exist. Can't create pidfile.

/usr/lib/systemd/system/openstack-barbican-api.service references the /run/barbican/pid

but nothing creates /run/barbican as a directory.


Version-Release number of selected component (if applicable):
openstack-barbican-api-2.0.0.0b4-0.20160304202229.b2a557c.fc23
Comment 1 Attila Fazekas 2016-04-04 07:15:26 EDT
I have the same issue with openstack-barbican-api-2.0.0-0.2.0rc2.el7.noarch .
Comment 3 Alfredo Moralejo 2016-05-18 10:10:46 EDT
Package openstack-barbican-common creates directory /var/run/barbican. By default /var/run is a symlink to /run so it should always work fine:

# ll /run/barbican/pid
-rw-r--r--. 1 barbican barbican 5 May 18 14:04 /run/barbican/pid
# rpm -qf /run/barbican
openstack-barbican-common-2.0.0.0-0.20160401163553.e90da9d.fc23.noarch

And service openstack-barbican-api starts properly in my tests. 

Could you test with latest RPM package?
Comment 4 Alfredo Moralejo 2016-09-27 06:41:59 EDT
I'm closing this change as works in current release.

Don't hesitate to re-open this bug in case you find it again with updated rpm package.

Note You need to log in before you can comment on or make changes to this bug.